Last modified: 2010-05-15 16:03:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16590 - Invalid HTML if both "about" and "disclaimer" are "-"
Invalid HTML if both "about" and "disclaimer" are "-"
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
1.13.x
All All
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
http://radioscanningtw.jidanni.org/in...
:
Depends on:
Blocks: html
  Show dependency treegraph
 
Reported: 2008-12-08 17:29 UTC by Dan Jacobson
Modified: 2010-05-15 16:03 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Dan Jacobson 2008-12-08 17:29:47 UTC
http://www.w3.org/TR/REC-html40/struct/lists.html says "All lists must
contain one or more list elements."

However, if one chooses not to have an "about" and "disclaimer", by
putting just "-" in both those pages, one will cause

<ul id="f-list"></ul>,

$ GET above_url|validate
Error at line 166, character 8:  end tag for "ul" which is not finished
Comment 1 Brion Vibber 2008-12-09 01:53:06 UTC
This was fixed in r44323
Comment 2 Dan Jacobson 2008-12-09 16:02:54 UTC
(In reply to comment #1)
No big deal, but in the email message we get:
> This was fixed in r44323
it isn't clear if this means "just now fixed" or "was long ago fixed".
Therefore one must fire up a browser to get to the r44323 link to then check the date, to discover it was the former.
OK. Thanks.


Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links